GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IargConstGrfRange Struct Reference
GTPin: High-Level Instrumentation (HLI) Parameters and Arguments

HLI argument that represents an immutable array of GRF registers. More...

`#include <gt_iarg_defs.h>`

## Public Member Functions
| IargConstGrfRange (uint32_t firstReg, uint32_t numRegs)
| Construct IargConstGrfRange object for the specified range of GRF registers.
template<typename PRMT >
const IGtIarg & | Make (IGtIargFactory &factory) const
| Create IGtIarg object that assigns this argument value to the formal parameter of type PRMT.

## Detailed Description

HLI argument that represents an immutable array of GRF registers.

## Constructor & Destructor Documentation

gtpin::IargConstGrfRange::IargConstGrfRange | ( | uint32_t | firstReg,
|  | uint32_t | numRegs
| ) |  | `[inline]`

Construct IargConstGrfRange object for the specified range of GRF registers.

Parameters:

  [in] | firstReg | Ordinal number of the first GRF register in the range
  [in] | numRegs | Number of registers in the range

## Member Function Documentation

template<typename PRMT >

const IGtIarg& gtpin::IargConstGrfRange::Make | ( | IGtIargFactory & | factory | ) | const`[inline]`

Create IGtIarg object that assigns this argument value to the formal parameter of type PRMT.

Note:
  The array of GRF registers is passed by pointer

Parameters:

  PRMT | Type of the formal parameter of the function

Returns:
  New IGtIarg object of type GtIargType::CONST_GRF_RANGE

Precondition:
  PRMT is a pointer type

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT